\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{presentation}

\LoadClass[%
  12pt,
]{seminar}


\RequirePackage[colorlinks=false,pdfborder=0 0 0]{hyperref}
\RequirePackage{helvet}   % font
\RequirePackage{fancyhdr} % fancy header and footer
\RequirePackage{fancybox} % to suppress the frame border, etc.
\RequirePackage{graphicx}
\RequirePackage{slidesec} % to put the section title to the header
\RequirePackage{color}

\def\slidemaketitle{%
  \par
  \begin{center}\bf
    {\large \vspace*{10mm} \thetitle}\par\vskip 1ex
    \begin{tabular}[t]{c} \theauthor \end{tabular}\par\vskip 1ex
    \thedate
  \end{center}%
  \thethanks\par}
  
% define helvetica as the default font
\renewcommand{\familydefault}{\sfdefault}

% define color for title slide
\definecolor{mpibeige}{cmyk}{0.23,0.16,0.28,0}

% left margin
\renewcommand{\slideleftmargin}{4mm}

% start new sections always on a new slide
\renewcommand{\section}[1]{\slideframe{none}\newslide\slideheading{#1}}

% print sub- and subsubsections withouth numbers
\let\slidesubsection\subsection
\renewcommand{\subsection}{\slidesubsection*}
\let\slidesubsubsection\subsubsection
\renewcommand{\subsubsection}{\slidesubsubsection*}

% to avoid that the headers be too close of the top of the page
\renewcommand{\slidetopmargin}{0.5cm}

% define textwidth
\renewcommand{\headwidth}{\textwidth}

% do not print section title
\renewcommand{\makeslideheading}[1]{
}
\renewcommand{\makeslidesubheading}[1]{
}

% suppress header and footer lines
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}